std::ostream_iterator< _Tp, _CharT, _Traits > Class Template Reference
Iterators
Inheritance diagram for std::ostream_iterator< _Tp, _CharT, _Traits >:
[legend]

## Public Types

typedef void | difference_type
typedef output_iterator_tag | iterator_category
typedef void | pointer
typedef void | reference
typedef void | value_type
typedef _CharT | char_type
typedef _Traits | traits_type
typedef basic_ostream< _CharT, _Traits > | ostream_type

## Public Member Functions

| ostream_iterator (ostream_type &__s)
| ostream_iterator (ostream_type &__s, const _CharT *__c)
| ostream_iterator (const ostream_iterator &__obj)
ostream_iterator & | operator* ()
ostream_iterator & | operator++ ()
ostream_iterator & | operator++ (int)
ostream_iterator & | operator= (const _Tp &__value)

## Detailed Description

### template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::ostream_iterator< _Tp, _CharT, _Traits >

Provides output iterator semantics for streams.

This class provides an iterator to write to an ostream. The type Tp is the only type written by this iterator and there must be an operator<<(Tp) defined.

Template Parameters

  _Tp | The type to write to the ostream.
  _CharT | The ostream char_type.
  _Traits | The ostream char_traits.

Definition at line 154 of file stream_iterator.h.

## Member Typedef Documentation

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef _CharT std::ostream_iterator< _Tp, _CharT, _Traits >::char_type

Public typedef.

Definition at line 160 of file stream_iterator.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type

inherited

Distance between iterators is represented as this type.

Definition at line 125 of file stl_iterator_base_types.h.

typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category

inherited

One of the tag types.

Definition at line 121 of file stl_iterator_base_types.h.

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef basic_ostream<_CharT, _Traits> std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_type

Public typedef.

Definition at line 162 of file stream_iterator.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer

inherited

This type represents a pointer-to-value_type.

Definition at line 127 of file stl_iterator_base_types.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference

inherited

This type represents a reference-to-value_type.

Definition at line 129 of file stl_iterator_base_types.h.

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef _Traits std::ostream_iterator< _Tp, _CharT, _Traits >::traits_type

Public typedef.

Definition at line 161 of file stream_iterator.h.

typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type

inherited

The type "pointed to" by the iterator.

Definition at line 123 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_iterator | ( | ostream_type & | __s | ) |

inline

Construct from an ostream.

Definition at line 171 of file stream_iterator.h.

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_iterator | ( | ostream_type & | __s,
|  | const _CharT * | __c
| ) |  |

inline

Construct from an ostream.

The delimiter string c is written to the stream after every Tp written to the stream. The delimiter is not copied, and thus must not be destroyed while this iterator is in use.

Parameters

  __s | Underlying ostream to write to.
  __c | CharT delimiter string to insert.

Definition at line 183 of file stream_iterator.h.

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_iterator | ( | const ostream_iterator< _Tp, _CharT, _Traits > & | __obj | ) |

inline

Copy constructor.

Definition at line 187 of file stream_iterator.h.

## Member Function Documentation

template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>>

ostream_iterator& std::ostream_iterator< _Tp, _CharT, _Traits >::operator= | ( | const _Tp & | __value | ) |

inline

Writes value to underlying ostream using operator<<. If constructed with delimiter string, writes delimiter to ostream.

Definition at line 193 of file stream_iterator.h.

The documentation for this class was generated from the following file:

- stream_iterator.h